dbXML API

## org.dbxml.core.filer
Class Paged.PageHeader

    java.lang.Object
      |
      +--org.dbxml.core.filer.Paged.PageHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  Paged

public abstract class Paged.PageHeader
extends java.lang.Object
implements Streamable

PageHeader

Constructor Summary
`Paged.PageHeader()`
`Paged.PageHeader(java.io.DataInputStream dis)`

Method Summary
`int` `getDataLen()` The length of the Data
`int` `getKeyHash()` The hashed value of the Key for quick comparisons
`short` `getKeyLen()` The length of the Key
`long` `getNextPage()` The next page for this Record (if overflowed)
`int` `getRecordLen()` The length of the Record's value
`byte` `getStatus()` The status of this page (UNUSED, RECORD, DELETED, etc...)
`boolean` `isDirty()`
`void` `read(java.io.DataInputStream dis)` read reads the object state from the stream.
`void` `setDataLen(int dataLen)` The length of the Data
`void` `setDirty()`
`void` `setKey(Key key)`
`void` `setKeyHash(int keyHash)` The hashed value of the Key for quick comparisons
`void` `setKeyLen(short keyLen)` The length of the Key
`void` `setNextPage(long nextPage)` The next page for this Record (if overflowed)
`void` `setRecordLen(int recordLen)` The length of the Record's value
`void` `setStatus(byte status)` The status of this page (UNUSED, RECORD, DELETED, etc...)
`void` `write(java.io.DataOutputStream dos)` write writes the object state to the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paged.PageHeader

    public Paged.PageHeader()

### Paged.PageHeader

    public Paged.PageHeader(java.io.DataInputStream dis)
                     throws java.io.IOException

Method Detail

### read

    public void read(java.io.DataInputStream dis)
              throws java.io.IOException

  Description copied from interface: `Streamable`
  read reads the object state from the stream.
  Specified by:
    `read` in interface `Streamable`
  Following copied from interface: `org.dbxml.core.filer.Streamable`
  Parameters:
    `is` - The DataInputStream
  Throws:
    `java.io.IOException` - if an IOException occurs

### write

    public void write(java.io.DataOutputStream dos)
               throws java.io.IOException

  Description copied from interface: `Streamable`
  write writes the object state to the stream.
  Specified by:
    `write` in interface `Streamable`
  Following copied from interface: `org.dbxml.core.filer.Streamable`
  Parameters:
    `os` - The DataOutputStream
  Throws:
    `java.io.IOException` - if an IOException occurs

### isDirty

    public final boolean isDirty()

### setDirty

    public final void setDirty()

### setStatus

    public final void setStatus(byte status)

  The status of this page (UNUSED, RECORD, DELETED, etc...)

### getStatus

    public final byte getStatus()

  The status of this page (UNUSED, RECORD, DELETED, etc...)

### setKey

    public final void setKey(Key key)

### setKeyLen

    public final void setKeyLen(short keyLen)

  The length of the Key

### getKeyLen

    public final short getKeyLen()

  The length of the Key

### setKeyHash

    public final void setKeyHash(int keyHash)

  The hashed value of the Key for quick comparisons

### getKeyHash

    public final int getKeyHash()

  The hashed value of the Key for quick comparisons

### setDataLen

    public final void setDataLen(int dataLen)

  The length of the Data

### getDataLen

    public final int getDataLen()

  The length of the Data

### setRecordLen

    public void setRecordLen(int recordLen)

  The length of the Record's value

### getRecordLen

    public final int getRecordLen()

  The length of the Record's value

### setNextPage

    public final void setNextPage(long nextPage)

  The next page for this Record (if overflowed)

### getNextPage

    public final long getNextPage()

  The next page for this Record (if overflowed)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved